# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['cyc_next_app',
 'cyc_next_app.lib.@jupyter-widgets.schema',
 'cyc_next_app.server',
 'cyc_next_app.server.python',
 'cyc_next_app.server.python.cassist',
 'cyc_next_app.server.python.code_editor',
 'cyc_next_app.server.python.dataframe_manager',
 'cyc_next_app.server.python.experiment_manager',
 'cyc_next_app.server.python.file_explorer',
 'cyc_next_app.server.python.file_manager',
 'cyc_next_app.server.python.libs',
 'cyc_next_app.server.python.project_manager',
 'cyc_next_app.server.python.user_space',
 'cyc_next_app.server.python.user_space.ipython',
 'cyc_next_app.server.tests',
 'cyc_next_app.server.tests.test_servers']

package_data = \
{'': ['*'],
 'cyc_next_app': ['lib/@jupyter-widgets/base/*',
                  'lib/@jupyter-widgets/base/css/*',
                  'lib/@jupyter-widgets/base/lib/*',
                  'lib/@jupyter-widgets/controls/*',
                  'lib/@jupyter-widgets/controls/css/*',
                  'lib/@jupyter-widgets/controls/lib/*',
                  'lib/@jupyter-widgets/controls/lib/phosphor/*',
                  'lib/@jupyter-widgets/html-manager/*',
                  'lib/@jupyter-widgets/html-manager/css/*',
                  'lib/@jupyter-widgets/html-manager/lib/*',
                  'lib/@jupyter-widgets/jupyterlab-manager/*',
                  'lib/@jupyter-widgets/jupyterlab-manager/lib/*',
                  'lib/@jupyter-widgets/jupyterlab-manager/schema/*',
                  'lib/@jupyter-widgets/output/*',
                  'lib/@jupyter-widgets/output/lib/*',
                  'lib/@jupyter-widgets/schema/v1/*',
                  'lib/@jupyter-widgets/schema/v2/*',
                  'lib/cassist/*',
                  'lib/codemirror/autocomplete-lsp/*',
                  'lib/codemirror/autocomplete-lsp/autocomplete/*',
                  'lib/codemirror/basic-setup/*',
                  'lib/codemirror/grammar/*',
                  'lib/components/*',
                  'lib/components/code-panel/*',
                  'lib/components/dataframe-manager/*',
                  'lib/components/file-manager/*',
                  'lib/components/libs/*',
                  'lib/components/richoutput-panel/*',
                  'lib/components/richoutput-panel/data-panel/*',
                  'lib/components/richoutput-panel/experiment-panel/*',
                  'lib/components/richoutput-panel/model-panel/*',
                  'lib/components/richoutput-panel/result-panel/*',
                  'lib/components/richoutput-panel/summary-panel/*',
                  'lib/components/sidebar/*',
                  'lib/components/tests/*',
                  'lib/interfaces/*',
                  'pages/*',
                  'public/*',
                  'public/icons/*',
                  'redux/*',
                  'redux/actions/*',
                  'redux/reducers/*',
                  'redux/store/*',
                  'styles/*',
                  'tests/intergration/*',
                  'tests/intergration/cypress/fixtures/*',
                  'tests/intergration/cypress/integration/cyc/*',
                  'tests/intergration/cypress/integration/data/*',
                  'tests/intergration/cypress/plugins/*',
                  'tests/intergration/cypress/results/*',
                  'tests/intergration/cypress/support/*',
                  'tests/unit/*',
                  'tests/unit/pages/*',
                  'theme/*'],
 'cyc_next_app.server': ['build/*', 'ls/*', 'routes/*']}

entry_points = \
{'console_scripts': ['cnext-init = cyc_next_app.__main__:main',
                     'cnext-run = cyc_next_app.__main__:start']}

setup_kwargs = {
    'name': 'cyc-next-app',
    'version': '17.0.0',
    'description': 'improve your work',
    'long_description': None,
    'author': 'cyc ai company',
    'author_email': None,
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'entry_points': entry_points,
}


setup(**setup_kwargs)
